List current holders of a specific NFT
curl --request GET \
--url https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}/instances/{token_id_param}/holders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}/instances/{token_id_param}/holders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}/instances/{token_id_param}/holders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"address": {
"ens_domain_name": null,
"hash": "0xF977814e90dA44bFA03b6295A0616a897441aceC",
"implementations": [],
"is_contract": false,
"is_scam": false,
"is_verified": false,
"metadata": {
"tags": [
{
"meta": {
"main_entity": "Binance",
"tooltipUrl": "https://www.binance.com/"
},
"name": "Binance: Hot Wallet 20",
"ordinal": 10,
"slug": "binance-hot-wallet-20",
"tagType": "name"
},
{
"meta": {
"tooltipUrl": "https://www.binance.com"
},
"name": "Binance 8",
"ordinal": 10,
"slug": "binance-8",
"tagType": "name"
},
{
"meta": {},
"name": "HOT WALLET",
"ordinal": 0,
"slug": "hot-wallet",
"tagType": "generic"
},
{
"meta": {},
"name": "Exchange",
"ordinal": 0,
"slug": "exchange",
"tagType": "generic"
},
{
"meta": {},
"name": "Binance",
"ordinal": 0,
"slug": "binance",
"tagType": "protocol"
}
]
},
"name": null,
"private_tags": [],
"proxy_type": null,
"public_tags": [],
"reputation": "ok",
"watchlist_names": []
},
"token_id": null,
"value": "19474530513868000"
}
],
"next_page_params": {
"address_hash": "0x1d2c163fbda9486c3a384b6fa5e34c96fe948e9a",
"token_id": "0",
"value": "4217417051704137590935"
}
}{
"message": "Resource not found"
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}tokens
List current holders of a specific NFT
Retrieves current holders of a specific NFT instance. For ERC-721, this will typically be a single address. For ERC-1155, multiple addresses may hold the same token ID.
GET
/
{chain_id}
/
api
/
v2
/
tokens
/
{address_hash_param}
/
instances
/
{token_id_param}
/
holders
List current holders of a specific NFT
Authorizations
bearerAuthapiKeyAuth
API key passed as a Bearer token in the Authorization header.
Path Parameters
Address hash in the path
Pattern:
^0x([A-Fa-f0-9]{40})$Token ID for ERC-721/1155/404 tokens
Pattern:
^-?([1-9][0-9]*|0)$The ID of the blockchain
Query Parameters
Number of items per page
Required range:
x >= 1Address hash for paging
Pattern:
^0x([A-Fa-f0-9]{40})$Token ID for paging
Pattern:
^-?([1-9][0-9]*|0)$Transaction value for paging
Pattern:
^-?([1-9][0-9]*|0)$Was this page helpful?
Retrieve detailed information about a specific NFT
Previous
Fetch media type for a specific NFT instance
Next
⌘I